Skip to main content
GET
List accounting movements

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

storeId
string
required

Query Parameters

ingredientIds
string[]

Id de los ingredientes a consultar

movementType
enum<string>

Tipos de movimientos contables

Available options:
inventory,
cashWithdrawals,
manual
Example:

"name"

fromDate
string<date-time>

Fecha de inicio de la búsqueda.

Example:

"2020-01-01T00:00:00.000Z"

toDate
string<date-time>

Fecha de fin de la búsqueda.

Example:

"2020-01-01T00:00:00.000Z"

page
number

Número de página.

Example:

1

limit
number

Número de items por página. Max 100. Por defecto: 10.

Example:

10

sortBy
enum<string>

Campo por el cual se ordenará la lista. Por defecto: "createdAt".

Available options:
createdAt
Example:

"createdAt"

sortType
enum<string>

Tipo de ordenamiento.

Available options:
asc,
desc
Example:

"desc"

Response

The OpenAPI spec

success
boolean
Example:

true

data
object